SchedulerServiceImpl (scheduler-portlet 2.1.0-SNAPSHOT API)
Date: 2014-05-05

org.gcube.datatransfer.portlets.user.server

## Class SchedulerServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.datatransfer.portlets.user.server.SchedulerServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, SchedulerService

      public class SchedulerServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements SchedulerService

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `cancel(String scope, String resourceName, String transferId, boolean force)`
    `void` | `createNewFolderInMongoDB(String smServiceClassSource, String smServiceNameSource, String smOwnerSource, String smAccessTypeSource, String path, String scope)`
    `String` | `createNewTreeSource(String agentHostname, String agentPort, String scope, String sourceId)`
    `void` | `deleteFolderInMongoDB(String smServiceClassSource, String smServiceNameSource, String smOwnerSource, String smAccessTypeSource, String path, String scope)`
    `String` | `deleteTreeSource(String agentHostname, String agentPort, String scope, String sourceId)`
    `String` | `getAgentStatistics(String scope)`
    `String` | `getFileListOfAgent(String path, String agentHostname, String agentPort, String scope)`
    `String` | `getFileListOfDSourceOrDStorage(String type, String id, String specificPath, String scope, String resourceName)`
    `String` | `getFileListOfMongoDB(String smServiceClassSource, String smServiceNameSource, String smOwnerSource, String smAccessTypeSource, String path, String scope)`
    `String` | `getObjectsFromIS(String type, String scope, String resourceName)`
    `String` | `getOutcomes(String scope, String resourceName, String transferId)`
    `String` | `getTransfers(String scope, String resourceName)`
    `String` | `getTreeSources(String agentHostname, String agentPort, String scope, String type)`
    `String` | `getUserAndScopeAndRole()`
    `String` | `getWorkspace(String username)`
    `String` | `getWorkspaceFolder(String serializedWorkspaceInfo, String folderId, boolean needTheParent)`
    `void` | `init()`
    `String` | `listFiles(String input)`
    `String` | `monitor(String scope, String resourceName, String transferId)`
    `String` | `schedule(String Obj)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerServiceImpl

          public SchedulerServiceImpl()

  - ### Method Detail

    - #### init

          public void init()
                    throws javax.servlet.ServletException

      Overrides:
        `init` in class `javax.servlet.GenericServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### listFiles

          public String listFiles(String input)
                           throws IllegalArgumentException

      Specified by:
        `listFiles` in interface `SchedulerService`
      Throws:
        `IllegalArgumentException`

    - #### getTransfers

          public String getTransfers(String scope,
                            String resourceName)
                              throws IllegalArgumentException

      Specified by:
        `getTransfers` in interface `SchedulerService`
      Throws:
        `IllegalArgumentException`

    - #### schedule

          public String schedule(String Obj)
                          throws IllegalArgumentException

      Specified by:
        `schedule` in interface `SchedulerService`
      Throws:
        `IllegalArgumentException`

    - #### monitor

          public String monitor(String scope,
                       String resourceName,
                       String transferId)
                         throws IllegalArgumentException

      Specified by:
        `monitor` in interface `SchedulerService`
      Throws:
        `IllegalArgumentException`

    - #### getOutcomes

          public String getOutcomes(String scope,
                           String resourceName,
                           String transferId)
                             throws IllegalArgumentException

      Specified by:
        `getOutcomes` in interface `SchedulerService`
      Throws:
        `IllegalArgumentException`

    - #### cancel

          public String cancel(String scope,
                      String resourceName,
                      String transferId,
                      boolean force)
                        throws IllegalArgumentException

      Specified by:
        `cancel` in interface `SchedulerService`
      Throws:
        `IllegalArgumentException`

    - #### getObjectsFromIS

          public String getObjectsFromIS(String type,
                                String scope,
                                String resourceName)
                                  throws IllegalArgumentException

      Specified by:
        `getObjectsFromIS` in interface `SchedulerService`
      Throws:
        `IllegalArgumentException`

    - #### getFileListOfAgent

          public String getFileListOfAgent(String path,
                                  String agentHostname,
                                  String agentPort,
                                  String scope)

      Specified by:
        `getFileListOfAgent` in interface `SchedulerService`

    - #### getTreeSources

          public String getTreeSources(String agentHostname,
                              String agentPort,
                              String scope,
                              String type)

      Specified by:
        `getTreeSources` in interface `SchedulerService`

    - #### createNewTreeSource

          public String createNewTreeSource(String agentHostname,
                                   String agentPort,
                                   String scope,
                                   String sourceId)
                                     throws IllegalArgumentException

      Specified by:
        `createNewTreeSource` in interface `SchedulerService`
      Throws:
        `IllegalArgumentException`

    - #### deleteTreeSource

          public String deleteTreeSource(String agentHostname,
                                String agentPort,
                                String scope,
                                String sourceId)
                                  throws IllegalArgumentException

      Specified by:
        `deleteTreeSource` in interface `SchedulerService`
      Throws:
        `IllegalArgumentException`

    - #### getFileListOfDSourceOrDStorage

          public String getFileListOfDSourceOrDStorage(String type,
                                              String id,
                                              String specificPath,
                                              String scope,
                                              String resourceName)

      Specified by:
        `getFileListOfDSourceOrDStorage` in interface `SchedulerService`

    - #### getFileListOfMongoDB

          public String getFileListOfMongoDB(String smServiceClassSource,
                                    String smServiceNameSource,
                                    String smOwnerSource,
                                    String smAccessTypeSource,
                                    String path,
                                    String scope)

      Specified by:
        `getFileListOfMongoDB` in interface `SchedulerService`

    - #### createNewFolderInMongoDB

          public void createNewFolderInMongoDB(String smServiceClassSource,
                                      String smServiceNameSource,
                                      String smOwnerSource,
                                      String smAccessTypeSource,
                                      String path,
                                      String scope)

      Specified by:
        `createNewFolderInMongoDB` in interface `SchedulerService`

    - #### deleteFolderInMongoDB

          public void deleteFolderInMongoDB(String smServiceClassSource,
                                   String smServiceNameSource,
                                   String smOwnerSource,
                                   String smAccessTypeSource,
                                   String path,
                                   String scope)

      Specified by:
        `deleteFolderInMongoDB` in interface `SchedulerService`

    - #### getUserAndScopeAndRole

          public String getUserAndScopeAndRole()

      Specified by:
        `getUserAndScopeAndRole` in interface `SchedulerService`

    - #### getWorkspace

          public String getWorkspace(String username)

      Specified by:
        `getWorkspace` in interface `SchedulerService`

    - #### getWorkspaceFolder

          public String getWorkspaceFolder(String serializedWorkspaceInfo,
                                  String folderId,
                                  boolean needTheParent)
                                    throws IllegalArgumentException

      Specified by:
        `getWorkspaceFolder` in interface `SchedulerService`
      Throws:
        `IllegalArgumentException`

    - #### getAgentStatistics

          public String getAgentStatistics(String scope)

      Specified by:
        `getAgentStatistics` in interface `SchedulerService`

Copyright © 2014. All Rights Reserved.